Subject: Re: [dnssd] Security through Obscurity

From: Michael Richardson <[email-masked]>
Date: Fri, 01 Aug 2014 02:30:43 -0400

I agree that the three printer example is contrived.

Albrecht, Harald <[email-masked]> wrote:
    >> Von: dnssd [mailto:[email-masked]] Im Auftrag von Michael
    >> Richardson Gesendet: Donnerstag, 24. Juli 2014 21:09 Cc:
    >> [email-masked] Betreff: Re: [dnssd] Security through Obscurity
    >> 
    >> Three printers on the floor.  One is reporting it is broken, so broken
    >> that you can't do much more than see that it exists.  If the IP(v6)
    >> address is predictable, and related in some way to the EUI-64, then
    >> you can find the right unit.  The printer has little privacy concerns,
    >> seldom visits internet cafes, and is never found it airport lounges.

    > In which form do the reporting come in? I would assume that these
    > printers have some labels sticking on them that identify them in a more
    > human-friendly way? Or am I wrong here and missing something? I'm
    > trying to figure out how the reporting process and troubleshooting
    > process will benefit from pre-assigned static LLAs, but I have problems
    > doing so.

    > By the way -- my home printer has global IPv6 addresses (yes, it has
    > two as Deutsche Telekom assigns temporary PA prefixes). But it has a
    > snuggly firewall in front of it so it is of no concern to me; this
    > printer can't be reached from the outside. These two additional GUAs
    > don't eat up significantly resources, so why do I need to bother? I'm
    > using ULA and LLA internally, so that's what I'm caring about. The GUAs
    > aren't bad in any way ... unless there is general suspicion that GUAs
    > are bad in any case...?

    > With best regards, Harald

---

From: Michael Richardson <[email-masked]>
Date: Fri, 01 Aug 2014 02:31:05 -0400

-- 
Michael Richardson
-on the road-